#ifndef _NMBD_SNMP_H_
#define _NMBD_SNMP_H_

#define ANSWER_STRING_MAX 128

#define UN_SOCKET_NAME "/tmp/nmbsnmp"

struct snmp_answer {
	int item;
	short type;
	union {
		long l;
		unsigned long ul;
		time_t t;
		char s[ANSWER_STRING_MAX];
	} data;
};

#define NMB_SNMP_UPTIME 1
#define NMB_SNMP_UPDATECOUNT 2
#define NMB_SNMP_WORKGROUP 3
#define NMB_SNMP_NB_TYPE 4
#define NMB_SNMP_NB_NAME 5
#define NMB_SNMP_HOSTNAME 6
#define NMB_SNMP_LM_CLIENTS 7
#define NMB_SNMP_NMB_PORT 8
#define NMB_SNMP_DEBUGLEVEL 9
#define NMB_SNMP_DEBUGFILE 10

short snmp_types[]={
	0,
	TIMETICKS,
	INTEGER,
	STRING,
	UINTEGER,	
	STRING,
	STRING,
	INTEGER,
	INTEGER,
	INTEGER,
	STRING,
	0
} ;

#endif

